- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MSamplerStateDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a complete sampler state.

This class encapsulates a complete Sampler state.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MSamplerStateDesc ()
| Constructor, builds a default sampler state.
| ~MSamplerStateDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the sampler state to their default values.
| MSamplerStateDesc (const MSamplerStateDesc &rDesc)
| NO SCRIPT SUPPORT.
MSamplerStateDesc & | operator= (const MSamplerStateDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes
MSamplerState::TextureFilter | filter
| Selects how to filter a texture sample, default kMinMagMipPoint.
MStateManager::CompareMode | comparisonFn
| Selects the filter comparison function, default kCompareAlways.
MSamplerState::TextureAddress | addressU
| Select the u coordinate addressing mode, default kTexWrap.
MSamplerState::TextureAddress | addressV
| Select the v coordinate addressing mode, default kTexWrap.
MSamplerState::TextureAddress | addressW
| Select the w coordinate addressing mode, default kTexWrap.
float | borderColor [4]
| Set border color used for accesses beyond texture 0..1, default(0,0,0,0).
float | mipLODBias
| Set a float bias to be added to the computed mip LOD level, default 0.
unsigned int | minLOD
| Set minimum mip LOD level accessed, default 0.
unsigned int | maxLOD
| Set maximum mip LOD level accessed, default 16.
unsigned int | maxAnisotropy
| Set the maximum anisotropy permitted for anisotropic filters.
unsigned int | coordCount
| Set the number of texture coordinates, default 2.
unsigned int | elementIndex
| When using texture arrays, selects array element, default 0. Search for all occurrences

## Constructor & Destructor Documentation

MSamplerStateDesc | ( | const MSamplerStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MSamplerStateDesc & operator= | ( | const MSamplerStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

MSamplerState::TextureFilter filter

Search for all occurrences

Selects how to filter a texture sample, default kMinMagMipPoint.

MStateManager::CompareMode comparisonFn

Search for all occurrences

Selects the filter comparison function, default kCompareAlways.

MSamplerState::TextureAddress addressU

Search for all occurrences

Select the u coordinate addressing mode, default kTexWrap.

MSamplerState::TextureAddress addressV

Search for all occurrences

Select the v coordinate addressing mode, default kTexWrap.

MSamplerState::TextureAddress addressW

Search for all occurrences

Select the w coordinate addressing mode, default kTexWrap.

float borderColor[4]

Search for all occurrences

Set border color used for accesses beyond texture 0..1, default(0,0,0,0).

float mipLODBias

Search for all occurrences

Set a float bias to be added to the computed mip LOD level, default 0.

unsigned int minLOD

Search for all occurrences

Set minimum mip LOD level accessed, default 0.

unsigned int maxLOD

Search for all occurrences

Set maximum mip LOD level accessed, default 16.

unsigned int maxAnisotropy

Search for all occurrences

Set the maximum anisotropy permitted for anisotropic filters.

The range is 1..16, default 1.

unsigned int coordCount

Search for all occurrences

Set the number of texture coordinates, default 2.

unsigned int elementIndex

Search for all occurrences

When using texture arrays, selects array element, default 0.

MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc
MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc MSamplerStateDesc